html {
    scroll-behavior: smooth;
}
.mh-banner{
    @media (max-width: 767px) {
        margin-bottom:  20px;
    }
}
header{
    padding: 15px 0;
    box-shadow: inset 0px -1px 0px #EFF0F1;
    .flex-ct{
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        .logo{
            a{
                display: inline-block;
                img{
                    max-height: 50px;
                    display: block;
                }
            }
            @media (max-width: 767px) {
                margin-right: auto;
            }
        }
        .search{
            margin-left: 35px;
            margin-right: auto;
            @media (min-width: 1200px) {
                min-width: 600px;
            }
            @media (max-width: 480px) {
                order: 5;
                margin: 10px auto;
                width: 100%;
            }
            .form-group{
                margin-bottom: 0;
            }
        }
        .user{
            @media (max-width: 768px) {
                display: none;
            }
        }
    }
}
.search{
    .form-group{
        position: relative;
        .btn-submit{
            position: absolute;
            left: 0;
            top: 0;
            bottom: 0;
            outline: none;
            box-shadow: none;
            border: none;
            background-color: transparent;
            transition: 0.23s ease-in-out;
            &:hover{
                svg{
                    path{
                        stroke: $c-text;
                        transition: 0.23s ease-in-out;
                    }
                }
            }
        }
        .form-control{
            padding-left: 50px;
            outline: none;
            box-shadow: none;
            height: 40px;
            color: $c-text;
            font-size: 16px;
            font-family: 'Leftlair-Medium';
            background: #EFF0F1;
            border-radius: 2px;
            border: solid 1px transparent;
            transition: all 0.23s;
                &::placeholder{
                font-family: 'Leftlair-Light';
                color: $c-default;
            }
            &:focus{
                background-color: white;
                border-color: $c-text;
                transition: all 0.23s;
            }
        }
    }
}
.user{
    ul{
        li{
            display: inline-block;
            a{
                font-family: 'Leftlair-Medium';
                font-style: normal;
                font-weight: normal;
                font-size: 16px;
                color: $c-text;
                display: block;
                padding: 5px 10px;
                transition: all 0.23s;
                @media (max-width: 767px) {
                    font-family: 'Leftlair-Light';
                    font-size: 14px;
                }
                &:hover{
                    color: $c-main;
                    transition: all 0.23s;
                }
            }
        }
    }
    .log{
        display: flex;
        align-items: center;
        &-thumb{
            width: 50px;
            height: 50px;
            border-radius: 50%;
            overflow: hidden;
            margin-right: 5px;
            img{
                width: 100%;
            }
        }
        &-ct{
            &-name{
                font-family: 'Leftlair-Bold';
                color: $c-main;
                font-size: 16px;
            }
            &-out{
                font-size: 13px;
                color: $c-default;
                font-family: 'Leftlair-Light';
            }
        }
    }
}
.cart{
    @media (min-width: 768px) {
        margin-left: 25px;
    }
    &-icon{
        cursor: pointer;
        position: relative;
        &-count{
            position: absolute;
            top: 0;
            left: 0;
            transform: translate(-30%,-30%);
            width: 24px;
            height: 24px;
            display: flex;
            align-items: center;
            justify-content: center;
            background-color: #EF2424;
            border-radius: 50%;
            font-size: 14px;
            color: white;
            font-family: 'Leftlair-Light';
        }
        &:hover{
            svg{
                path{
                    // stroke: $c-main;
                    transition: 0.23s ease-in-out;
                }
            }
        }
    }
}

.open-sidemenu {
    margin-left: 15px;
    cursor: pointer;
    display: none;
    .icon-bar {
        width: 30px;
        height: 2px;
        background-color: $c-default;
        margin: 6px 0;
    }
    @media (max-width: 768px) {
        display: block;
    }
}


.block-overlay{
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    background-color: transparent;
    transition: all 0.2s;
}
.block-over{
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    background-color: transparent;
    transition: all 0.2s;
}
.over{
    width: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1025;
    transition: all 0.2s;
}
.block-menu{
    background: #FFFFFF;
    box-shadow: inset 0px -1px 0px #EFF0F1;
    width: 100%;
    @media (min-width: 769px) {
        .main-menu{
            width: 100%;
            transition: all 0.23s;
            ul{
                li{
                    display: inline-flex;
                    align-items: center;
                    position: relative;
                    margin-right: 35px;
                    a{
                        font-family: 'Leftlair-Medium';
                        display: block;
                        padding: 12px 0;
                        font-size: 16px;
                        color: $c-text;
                        margin-right: 3px;
                        margin-left: 3px;
                        border-top: solid 2px transparent;
                        border-bottom: solid 2px transparent;
                        transition: all 0.23s;
                        &:hover{
                            // color: $c-main;
                        }
                    }
                    a.link{
                        &:hover{
                            border-bottom-color: $c-main;
                        }
                    }
                    svg{
                        transition: all 0.25s;
                    }
                    .sub-menu{
                        text-align: left;
                        display: none;
                        position: absolute;
                        top: 100%;
                        left: 0;
                        min-width: 215px;
                        background-color: white;
                        box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
                        z-index: 10;
                        li{
                            position: relative;
                            width: 100%;
                            margin: 0;
                            padding: 0 12px;
                            &:hover{
                                background: #EFF0F1;
                            }
                            a{
                                display: block;
                                width: 100%;
                                color: $c-text;
                                font-family: 'Leftlair-Medium';
                                text-transform: capitalize;
                                text-decoration: none;
                                padding: 8px 0;
                                font-size: 14px;
                                
                            }
                            svg{
                                transform: rotate(-90deg);
                            }
                            ul{
                                display: none;
                                position: absolute;
                                top: 0;
                                left: 100%;
                                min-width: 170px;
                                background-color: white;
                                box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
                                li{
                                    a{
                                        color: $c-text !important;
                                        transition: all 0.25s;
                                        
                                    }
                                    &:hover{
                                        a{
                                            color: $c-main !important;
                                            transition: all 0.25s;
                                        }
                                    }
                                }
                            }
                            &:hover{
                                ul{
                                    display: block;
                                }
                                svg{
                                    transform: rotate(90deg);
                                    path{
                                        fill: $c-main !important;
                                    }
                                }
                                a{
                                    color: $c-main;
                                    transition: all 0.25s;
                                }
                            }
                        }
                    }
                    &:hover{
                        .sub-menu{
                            display: block;
                        }
                        svg{
                            transform: rotate(180deg);
                            transition: all 0.25s;
                        }
                        // a{
                        //     color: $c-main;
                        //     text-decoration: underline;
                        // }
                    }
                    &:last-child{
                        margin-right: 0;
                    }
                }
                .active{
                    a.link{
                        border-bottom-color: $c-main;
                        transition: all 0.23s;
                    }
                }
            }
        }
    }
}
@media (max-width: 768px){
    #sidenav{
        position: fixed;
        top: 0;
        left: 0;
        bottom: 0;
        width: 200px;
        padding: 60px 0;
        background: url('../images/home/logo.png') white;
        background-position: center 20px;
        background-repeat: no-repeat;
        z-index: 1030;
        transform: translateX(-100%);
        transition: all 0.25s;
        .menu{
            margin: 0;
            padding: 0;
            list-style: none;
            li{
                position: relative;
                display: block;
                margin-right: 0;
                a{
                    display: block;
                    padding: 5px 10px;
                    text-decoration: none;
                    color: $c-text;
                    font-size: 15px;
                    font-family: 'Leftlair-Light';
                    box-shadow: inset 0px 1px 0px #EEEEEE;
                    transition: all 0.25s;
                    &:hover{
                        color: $c-main;
                        transition: all 0.25s;
                    }
                }
                svg{
                    position: absolute;
                    top: 0;
                    right: 10px;
                    width: 10px;
                    height: 33px;
                    cursor: pointer;
                    z-index: 1040;
                    transition: all 0.25s;
                    path{
                        fill: $c-text;
                    }
                }
                .rotate{
                    transform: rotate(180deg);
                    transition: all 0.25s;
                }
                .sub-menu{
                    width: 100%;
                    font-size: 14px;
                    padding-left: 10px;
                    display: none;
                    overflow: hidden;
                    transition: max-height 0.2s ease-out;
                    li{
                        a{
                            box-shadow: none;
                            font-size: 13px;
                        }
                    }
                    ul{
                        display: none;
                        overflow: hidden;
                        transition: max-height 0.2s ease-out;
                        padding-left: 10px;
                        li{
                            a{
                                font-size: 12px;
                            }
                        }
                    }
                }
                &:first-child{
                    a{
                        box-shadow: none;
                    }
                }
            }
        }
        .user{
            margin-top: 50px;
        }
    }
    .show-menu{
        transform: translateX(0) !important;
        transition: all 0.25s;
    }
}
.item-banner{
    display: block;
    position: relative;
    overflow: hidden;
    &::before{
        content: '';
        display: block;
        padding-bottom: 50%;
    }
    img{
        display: block;
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
    }
}

.block-slide-banner{
    .container{
        @media (max-width: 480px) {
            padding: 0;
        }
    }
    a{
        display: block;
        position: relative;
        overflow: hidden;
        &::before{
            content: '';
            display: block;
            padding-bottom: 33%;
        }
        img{
            max-width: 100%;
            display: block;
            position: absolute;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
        }
    }
    .swiper-button-prev,
    .swiper-button-next{    
        outline: none;
        box-shadow: none;
        @media (max-width: 768px) {
            transform: scale(0.7);
        }
    }
}
.block-home{
    padding: 32px 0 22px;
    .heading-block{
        text-align: center;
        margin-bottom: 22px;
        h3{
            font-style: normal;
            font-weight: 500;
            font-size: 24px;
            line-height: 29px;
            text-align: center;
            color: $c-text;
            margin-bottom: 5px;
        }
        p{
            font-family: 'Leftlair-Light';
            color: $c-default;
            font-size: 16px;
        }
    }
}
.product{
    &-thumb{
        margin-bottom: 8px;
        position: relative;
        a{
            display: block;
            position: relative;
            overflow: hidden;
            &::before{
                content: '';
                display: block;
                padding-bottom: 120%;
            }
            img{
                display: block;
                position: absolute;
                width: 100%;
                height: 100%;
                top: 0;
                left: 0;
            }
            .front-img{
                display: block;
            }
            .back-img{
                display: none;
            }
            &:hover{
                .front-img{
                    display: none;
                }
                .back-img{
                    display: block;
                }
            }
        }
        .status{
            position: absolute;
            top: 0;
            right: 0;
            width: 44px;
            height: 40px;
            border-radius: 0 0 15px 15px;
            line-height: 14px;
            font-size: 12px;
            color: white;
            font-family: 'Leftlair-Medium';
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
            span{
                font-size: 14px;
                font-family: 'Leftlair-Bold';
            }
        }
        .status.sale{
            background: #E22929;
        }
        .status.die{
            background: $c-text;
        }
    }
    &-ct{
        .brand{
            font-size: 12px;
            color: $c-text;
            margin-bottom: 8px;
        }
        .name{
            margin-bottom: 5px;
            a{
                display: block;
                font-size: 18px;
                font-family: 'Leftlair-Bold';
                color: $c-text;
                display: -webkit-box;
                -webkit-line-clamp: 2;
                -webkit-box-orient: vertical;
                overflow: hidden;
            }
        }
        .price{
            span{
                display: block;
                margin-right: 10px;
            }
            .old{
                color: $c-default;
                font-size: 14px;
                font-family: 'Leftlair-Light';
                text-decoration: line-through;
            }
            .new{
                font-family: 'Leftlair-Bold';
                font-size: 18px;
                color: $c-main;
            }
        }
    }
}

.collection{
    &-thumb{
        a{
            display: block;
            position: relative;
            overflow: hidden;
            &::before{
                content: '';
                display: block;
                padding-bottom: 50%;
            }
            img{
                max-width: 100%;
                display: block;
                position: absolute;
                width: 100%;
                height: 100%;
                top: 0;
                left: 0;
            }
        }
    }
    &-detail{
        padding: 18px 0;
        margin-bottom: 15px;
        &-name{
            a{
                font-family: 'Leftlair-Medium';
                font-size: 16px;
                color: $c-text;
                transition: all 0.23s;
                white-space: nowrap;
                text-overflow: ellipsis;
                overflow: hidden;
                display: block;
                &:hover{
                    color: $c-main;
                    transition: all 0.23s;
                }
            }
        }
        &-time{
            display: flex;
            align-items: center;
            justify-content: flex-end;
            font-family: 'Leftlair-Light';
            font-size: 14px;
            color: $c-text;
            span{
                svg{
                    width: 16px;
                    margin-right: 5px;
                }
            }
        }
    }
}
.news{
    margin-bottom: 15px;
    @media (max-width: 480px) {
        margin-bottom: 25px;
    }
    &-thumb{
        a{
            overflow: hidden;
            margin-bottom: 12px;
            display: block;
            position: relative;
            &::before{
                content: '';
                display: block;
                padding-bottom: 70%;
            }
            img{
                display: block;
                position: absolute;
                width: 100%;
                height: 100%;
                top: 0;
                left: 0;
            }
        }
    }
    &-ct{
        &-name{
            a{
                font-family: 'Leftlair-Bold';
                font-size: 16px;
                color: $c-text;
                text-transform: uppercase;
                margin-bottom: 10px;
                transition: all 0.23s;
                display: -webkit-box;
                -webkit-line-clamp: 2;
                -webkit-box-orient: vertical;
                overflow: hidden;
                &:hover{
                    color: $c-main;
                    transition: all 0.23s;
                }
            }
        }
        &-desc{
            font-family: 'Leftlair-Light';
            font-size: 14px;
            color: $c-default;
            display: -webkit-box;
            -webkit-line-clamp: 3;
            -webkit-box-orient: vertical;
            overflow: hidden;
        }
    }
}

.swiper-button-next-pro{
    margin: 0;
    transform: translateY(-50%);
    top: 40%;
    right: 0;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: solid 1px $c-main;
    border-radius: 50%;
    outline: none;
    box-shadow: none;
    background: white;
    transition: all 0.23s;
    &::after{
        content: '';
    }
    &:hover{
        background-color: $c-main;
        svg{
            path{
                stroke: white;
                transition: all 0.23s;
            }
        }
    }
}
.swiper-button-prev-pro{
    margin: 0;
    transform: translateY(-50%);
    top: 40%;
    left: 0;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: solid 1px $c-main;
    border-radius: 50%;
    outline: none;
    box-shadow: none;
    background: white;
    transition: all 0.23s;
    &::after{
        content: '';
    }
    &:hover{
        background-color: $c-main;
        svg{
            path{
                stroke: white;
                transition: all 0.23s;
            }
        }
    }
}
footer{
    background: #191919;
    padding: 85px 0;
    @media (max-width: 1600px) {
        padding: 50px 0;
    }
    h4{
        color: #F6F6F6;
        font-size: 16px;
        font-family: 'Leftlair-Bold';
        text-transform: uppercase;
        margin-bottom: 35px;
        @media (max-width: 768px) {
            margin-bottom: 15px;
            margin-top: 30px;
        }
    }
    a,
    li,
    p{
        color: white;
        font-family: 'Leftlair-Light';
        font-size: 14px;
        margin-bottom: 15px;
        img{
            margin-right: 10px;
        }
    }
    a{
        &:hover{
            color: white;
            text-decoration: underline;
        }
    }
    .social{
        li{
            display: inline-block;
            margin-right: 30px;
        }
    }
    form{
        .form-group{
            display: flex;
            align-items: center;
            border: 1px solid #EBEBEB;
            box-sizing: border-box;
            border-radius: 2px;
            background-color: white;
            .form-control{
                outline: none;
                box-shadow: none;
                border: none;
                font-size: 14px;
                color: $c-text;
                font-family: 'Leftlair-Light';
                &::placeholder{
                    color: $c-default;
                    font-size: 14px;
                    font-family: 'Leftlair-Light';
                }
            }
            .btn-submit{
                outline: none;
                box-shadow: none;
                border: none;
                white-space: nowrap;
                font-family: 'Leftlair-Bold';
                font-size: 14px;
                color: white;
                text-transform: uppercase;
                background: #191919;
                height: 40px;
                border-radius: 2px;
            }
        }
    }
}
.copy-right{
    background: #393939;
    padding: 20px 0;
    text-align: center;
    p{
        font-size: 14px;
        color: white;
        font-family: 'Leftlair-Medium';
        a{
            color: white;
            &:hover{
                color: white;
                text-decoration: underline;
            }
        }
    }
}

.block-cart{
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    width: 400px;
    padding: 20px;
    background-color: white;
    z-index: 2021;
    overflow-y: auto;
    overflow-x: hidden;
    transform: translate3d(450px, 0px, 0px);
    transition: 0.23s ease-in-out;
    @media (max-width: 480px) {
        width: 100%;
    }
    .close-cart{
        position: absolute;
        top: 30px;
        left: 30px;
        cursor: pointer;
    }
    .head{
        text-align: center;
        margin-bottom: 30px;
        h3{
            font-size: 21px;
            color: $c-text;
        }
        p{
            font-size: 14ox;
            color: $c-default;
        }
    }
    .list-cart{
        .cart-item{
            padding: 16px 0;
            border-bottom: solid 1px #E4E4E4;;
            .ct{
                .brand{
                    font-size: 12px;
                    color: $c-main;
                    font-family: 'Leftlair-Light';
                    margin-bottom: 7px;
                }
                .name{
                    a{
                        display: block;
                        font-size: 14px;
                        color: $c-text;
                        font-family: 'Leftlair-Medium';
                        margin-bottom: 10px;
                    }
                }
                p{
                    font-size: 12px;
                    color: $c-default;
                    font-family: 'Leftlair-Light';
                }
                .price{
                    text-align: right;
                    .old{
                        font-size: 12px;
                        color: $c-default;
                        font-family: 'Leftlair-Light';
                    }
                    .new{
                        font-size: 16px;
                        color: $c-main;
                        font-family: 'Leftlair-Bold';
                    }
                }
            }
        }
    }
    .all-price{
        h6{
            font-family: 'Leftlair-Medium';
            color: $c-text;
            font-size: 16px;
        }
        .price{
            font-family: 'Leftlair-Bold';
            color: $c-main;
            font-size: 20px;
        }
        .btn-submit{
            margin: 20px 0;
            background-color: $c-main;
            font-size: 16px;
            text-transform: uppercase;
            color: white;
            font-family: 'Leftlair-Light';
            display: flex;
            width: 100%;
            align-items: center;
            justify-content: center;
            height: 48px;
            border: none;
            box-shadow: none;
            border-radius: 2px;
            transition: all 0.23s;
            &:hover{
                letter-spacing: 1.5px;
                transition: all 0.23s;
            }
        }
    }
}
.show-cart{
    transform: translate3d(0px, 0px, 0px);
    transition: 0.23s ease-in-out;
}
.quant-wp{
    margin:  20px 0;
    p{
        display: inline-block;
        margin-right: 25px;
        line-height: 24px;
    }
    .quantity{
        display: inline-block;
        position: relative;
        .quantity-button{
            width: 14px;
            height: 14px;
            background: transparent;
            img{
                display: none;
            }
        }
        .quantity-down{
            width: 24px;
            height: 24px;
            position: absolute;
            top: 0;
            left: 0;
            transform: translateX(-100%);
            background: #EFF0F1 url('../images/home/minus.png');
            background-repeat: no-repeat;
            background-position: center center;
            background-size: 10px 1px;
            cursor: pointer;
        }
        .quantity-up{
            width: 24px;
            height: 24px;
            position: absolute;
            top: 0;
            right: 0;
            transform: translateX(100%);
            background: #EFF0F1 url('../images/home/plus.png');
            background-repeat: no-repeat;
            background-position: center center;
            background-size: 10px 10px;
            cursor: pointer;
        }
        input{
            background: transparent;
            border: none;
            outline: none;
            box-shadow: none;
            font-family: 'Leftlair-Medium';
            font-size: 14px;
            align-items: center;
            text-align: center;
            color: $c-text;
            min-width: 50px;
        }
        input[type=number]::-webkit-inner-spin-button,
        input[type=number]::-webkit-outer-spin-button
        {
        -webkit-appearance: none;
        margin: 0;
        }
    
        input[type=number]
        {
        -moz-appearance: textfield;
        }
    }    
}

